[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Guideline] Release number for rebuilds



Michel Salim <michel.sylvan <at> gmail.com> writes:
> unneeded build dependency, but F9's 0.91.0-3 is just a rebuild against
> a newer version of libopensync (and never appeared in Rawhide, for
> some reason).

Because it failed to build. The API changed, so you can't just rebuild the 
package, you have to upgrade it to a version which is compatible with the new 
libopensync. (There's currently no multisync in Rawhide at all because of this 
issue, by the way.)

> 3%{?dist} -> 3%{?dist}.1, 3%{?dist}.2, etc.

That's the recommended way to handle branch-only changes. But changes like 
removing unneeded BRs should normally be implemented in Rawhide first, then 
synced to the release branches.

        Kevin Kofler


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]